Workspaces
Get workspace setup progress
Projects role- and deployment-applicable setup progress from the Workspace, subscription, connected-destination, and Publication state without storing a separate onboarding step index.
GET
/workspaces/{id}/setupAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Workspace ID
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/workspaces/string/setup"{ "$schema": "https://example.com/api/v1/schemas/WorkspaceSetupResponse.json", "action_href": "string", "activated": true, "completed_steps": 0, "next_action": "name_workspace", "next_step": "workspace", "steps": [ { "completed": true, "id": "workspace" } ], "total_steps": 0, "visible": true}